<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">

<HTML>

<HEAD>
<TITLE>Projets de Maitrise</TITLE>
<META NAME="GENERATOR" CONTENT="Arachnophilia 3.8">
<META NAME="FORMATTER" CONTENT="Arachnophilia 3.8">
</HEAD>

<BODY BACKGROUND="bkgblue.gif" BGCOLOR="#C0E0E0" TEXT="#000000" LINK="#604000" VLINK="#882060" ALINK="#ff0000">

<CENTER><H1><FONT COLOR=#d20000>
Projets de Maîtrise 1998/99
</FONT></H1>
</CENTER>
<P>
<b>
<blink><font color=#006000>Obsolète</font></blink>
<p>

Je peux/dois assurer cette année 2 projets. Vous trouvez ci-dessous mes offres. Si au bout de quelques semaines vous n'arrivez pas à trouver parmi tous les travaux proposés cette année un sujet qui vous intéresse, vous pouvez également suggérer quelque chose de votre part.
<P>

<P>
<HR WIDTH="95%" ALIGN=CENTER>
<P>

Les projets officiels sont :
<OL>
<LI> <A HREF="#polmod">Un modeleur de polyèdres</A>
<LI> <A HREF="#chasim">Un simulateur des mouvements chaotiques</A>
</OL>
<P>
Les deux sont par excellence graphiques et visuels. L'interfaçage joue un rôle très important.<P>

<FONT SIZE="-1" color="#A00000">
Question : est-ce qu'il y a des projets "officieux"?<br>
Oui, ceci n'est pas exclu. Je vous prie de me contacter personnellement
(<font color="#006000">vite</font>) si cela vous intéresse. 
<p>
En fait, il est possible qu'une de mes propositions de projet de DESS (création d'une interface visuelle pour Scheme) ne trouve pas de clients ; je l'offre alors comme un sujet "officieux" pour vous. Avec mon aide le projet est <B>parfaitement</B> réalisable par tous ceux qui ne sont pas allérgiques au Scheme... Regardez la page consacrée aux 
<a href="../Projets.html#schflow">projets DESS.</a> ) 
</FONT>

<p>
<HR WIDTH="70%" ALIGN=CENTER size=6 noshade>
<P>


<A name="polmod">
<H2>1. Constructeur de polyèdres <IMG SRC="smsnub.gif"align=abscenter></H2>

<P>
<font color="#F00000">
(<img src="../../icons/starroll.gif" align=abscenter> &nbsp; Ce projet est déjà pris par Nicolas Roger et Youenn Lesaicherre.)
</font>
<p>


<OL>
<LI> <H3>Énoncé et cahier des charges</H3>
Il s'agit de construire (p. ex. en Java ou en Python) un programme <i>portable</i> permettant de construire intéractivement des polyèdres de toute sorte (en principe : assez réguliers ou symétriques), permettre leur visualisation directe, et exporter les fichiers destinés aux logiciels de rendu plus élaborés, avec texturation, etc., par exemple en format POVRay, et aussi en VRML.
<P>
Il ne s'agit pas de construire un modeleur très puissant ! L'étudiant construira une interface visuelle permettant le choix de polyèdres de base (p. ex. Platoniciens) qui subiront ensuite des modifications. On pourra augmenter le nombre des sommets/faces par insertion des nouveaux sommets au millieu d'une face (avec leur réplication par symétrie) et leur décalage, insértion des arêtes, coupure des coins, combinaison de deux polyèdres en un seul (c'est une procédure relativement complexe, optionelle), etc.
<P>

L'utilisateur pourra faire dessiner le polyèdre en fil de fer, et/ou avec les faces cachées ou même en couleurs (sans aucune sophistication !) Le fichier exporté pourra contenir la description de quelques textures standard. L'interface permettra la rotation du modèle et son agrandissement/retrecissement. Si l'étudiant le souhaite, on pourra exporter également une version 2-Dim, le dessin qui permettra la construction du polyèdre en carton...
<P>


<LI> <H3>Commentaires</H3>
Les polyèdres, leur construction pratique, visualisation et manipulation accompagnent l'humanité depuis toujours. Les polyèdres de Platon:
<CENTER><IMG SRC="platon.gif"></CENTER>
étaient presque sacrés, et représentaient l'essence de l'Univers. Jusqu'aujourd'hui les gens aiment jouer avec, construire des modèles en papier : <IMG SRC="aimg739.gif" align=abscenter>, ou 
<A HREF="applorng.jpg">plus drôles</A>.  (Voir aussi <A HREF="iybihwc.gif">cela</A>.) On a actuellement un système de classification complexe et une théorie géométrique très riche, permettant de distinguer les "snubs", ou les polyèdres Archimédians :
<P>

<IMG SRC="aimg724.gif"><IMG SRC="aimg782.gif"> etc. des autres, portant souvent des noms très exotiques. Mais on trouve également toute une panoplie de polyèdres <i>stellaires</i> (ou étoilés) :
<P>

<IMG SRC="gsd.gif"><IMG SRC="gi.gif"><IMG SRC="gd.gif">, ou <IMG SRC="sdid.gif">, et on peut superposer des solides plus simples : <IMG SRC="5c.gif" >. 
<P>


Ce projet doit apporter un plaisir esthétique à l'étudiant. Il faudra d'abord regarder quelques sites Web avec des polyèdres très variés, et d'essayer d'abord répondre à la question : comment peut-on les faire, <I>avant</I> de commencer le codage.
<P>


<LI> <H3>Suggestions</H3>
La vitesse du programme n'est pas très essentielle, ce qui compte est une bonne intéractivité, et un niveau d'abstraction élévé. Je propose donc de choisir un langage de programmation par objets relativement facile à utiliser et <I>portable</I>: il est souhaitable que le programme puisse tourner sous Windows, et sous Linux/X ; ceci est une exigence <B>formelle</B>. Je suggère un de ces trois langages : Java, Python (augmenté par la librairie Tk: tkinter), éventuellement Scheme (PLT de Rice, qui est équipé d'une bonne couche graphique, et des moyens d'interfaçage). L'usage de C/C++ ou Pascal/Delphi est très fortement déconseillé!  (ce dernier d'ailleurs n'existe pas sous Linux, et la portabilité est un facteur important !).
<P>

La représentation des données est laissée à la discrétion de l'étudiant. Je propose les "winged edges" (arêtes ailées), une B-représentation (sommets, arêtes, faces) qui optimise l'accès aux voisins d'un élément, et permet leur restructuration locale.
<P>


<LI> <H3>Objectifs méthodologiques</H3>
<UL>
<LI> Codage des structures de données de complexité non-négligeable, et transformation de ces structures.
<LI> Apprentissage de quelques éléments de la géométrie 3D appliquée. Ceci peut un jour être utile à quelqu'un qui s'intéresse par la CAO ou la robotique.
<LI> Construction d'une interface visuelle de qualité, avec la "track-ball" (pour des rotations).
<LI> Apprentissage (éventuel) pratique d'un langage de programmation moins banal...
</UL>
<P>


<LI> <H3>Références</H3>
<UL>
<LI> <A HREF="http://www.astro.virginia.edu/~eww6n/math/Polyhedron.html">http://www.astro.virginia.edu/~eww6n/math/Polyhedron.html</A>
<LI> <A HREF=" http://www.georgehart.com/">  http://www.georgehart.com/</A> (George Hart, auteur de quelques polyèdres montrés ici).
<LI> <A HREF="http://www.ics.uci.edu/~eppstein/junkyard/">http://www.ics.uci.edu/~eppstein/junkyard/</A>
<LI> <A HREF="http://www.physics.orst.edu/~bulatov/polyhedra/index.html">http://www.physics.orst.edu/~bulatov/polyhedra/index.html</A>

<li> <a href="http://www.teleport.com/~tpgettys/poly.shtml" target=_top>http://www.teleport.com/~tpgettys/poly.shtml</a>.
</UL>

</OL>

<P>
<HR WIDTH="75%" ALIGN=CENTER size=4 noshade>
<P>

<CENTER>
<IMG SRC="aimg791.gif" >
<P>

<IMG SRC="aimg792.gif">
</CENTER>
<P>
<P>
... Et, pour votre inspiration encore deux modèles :
<p>

<P>
<CENTER>
<IMG SRC="stgl.gif">&nbsp;&nbsp;&nbsp;&nbsp;<IMG SRC="radiol.gif" >
</CENTER>
<P>
<P>


<HR WIDTH="95%" ALIGN=CENTER size=10 noshade>
<P>
<P>

<!-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++
     ++++++++++++++++++++++++++++++++++++++++++++++++++++++ -->

<A NAME="chasim"></A>
<H2>2. Simulateur du CHAOS</H2><P>

<CENTER><IMG SRC="bakerzoom128_anim.gif" WIDTH="360" HEIGHT="32" ALT=""></CENTER>
<P>
<font color="#F00000">
(<img src="../../icons/starroll.gif" align=abscenter> &nbsp; Ce projet est déjà pris par Christophe Lesur et Marc Mathieu.)
</font>
<p>

<OL>
<LI> <H3>Explication du sujet</H3>
Il s'agit de construire quelques modèles <I>très simples</I> de <A HREF="#mesys">systèmes mécaniques</A> (ou plus généralement : dynamiques). Des mouvements réguliers, trajectoires closes et symétriques comme dans le cas d'un système planétaire (avec des planètes très légères par rapport au Soleil), ou d'un oscillateur harmonique, sont plutôt des exceptions. 

Dans la plupart des cas, les trajectoires sont quasi-aléatoires, apériodiques, parfois "bizarres" (concentrées dans ce qu'on appelle l'"<A HREF="ikeda.gif" target=_new>attracteur étrange</A>",
vérifiez aussi <a href="http://sprott.physics.wisc.edu/java/attract/attract.htm" target=_top>ce site</a>). 

Ceci est <FONT COLOR=#B00000>extrêmement important</FONT> pour les ingénieurs et pour les médecins - si un système se déstabilise et entre dans un régime chaotique (vibrations irrégulières des ailerons, pression arterielle sautante...), il est difficile d'y rémédier, car on ne peut pas prévoir le futur.

La modélisation du chaos par ordinateur est un domaine de recherche et de technologie déjà vénérable, mais toujours vivante. On peut changer les paramètres pour voir la transition entre un état régulier et chaotique, et visualiser les trajectoires.
<P>

<LI> <H3>Le projet</H3>
Construire 3-4 modèles dynamiques (suggérés ci-dessous, mais l'étudiant peut proposer une dizaine d'autres...) et une interface visuelle permettant de mettre le modèle en marche, de visualiser les trajectoires (physiques, dans l'espace, mais aussi - par exemple - la trajectoire dans l'espace des vélocités) dans des fenêtres indépendantes. L'utilisateur pourra choisir le modèle et modifier ses paramètres et les conditions initiales. 
<P>

Le paquetage doit être portable (Unix/Windows). Langage : arbitraire OO, de préférence Java ou Python/Tk. Cette fois je ne vois  d'obstacles contre l'usage de C++, mais vous voulez vraiment faire des Makefiles portables Unix/Windows?
<P>

De toute façon, le système doit être construit dans le style orienté-objet, et c'est une exigence formelle (alors, l'usage de C est interdit). Les modèles concrets doivent être des instances d'une classe "Modèle" générique (la description du système est assez homogène, ce sont des objets ponctuels qui traversent l'espace avec une certaine vitesse), et dans des sous-classes on change les méthodes de comportement (les lois de mouvement, les contraintes géométriques...). L'interfaçage visuelle doit également profiter de l'héritage, et les méthodes de visualisation doivent être communes aux modèles.
<P>

<LI> <H3>Cahier de charges</H3>
<UL>
<LI> Spécifier 3 - 4 modèles de manière OO, et coder les classes appropriées.
<LI> Construire une interface visuelle permettant le choix du modèle, sa paramétrisation, et sa mise en état de
marche.
<LI> Coder la visualisation des trajectoires dans des fenêtres graphiques.
<LI> Écrire un petit système d'aide <I>on-line</I>.
</UL>
<P>


<LI> 
<A NAME="mesys">
<H3>Exemples de systèmes qui peuvent exhiber le comportement chaotique</H3>
<UL>
<LI> Trois corps gravitant autour d'eux mêmes. <BR>
Oui, ça suffit, le mouvement - sauf exceptions -  est presque aléatoire. Ici il faudrait résoudre numériquement des équations de Newton, et visualiser tout dans un système lié au centre de masse, ou à une planète.(Bien sûr, la technique de solution des équations différentielles sera fournie à l'étudiant ; ceci exige un petit savoir-faire). <P>


<LI> Réflexion des rayons lumineux des "parois" d'une forme en 2D. Avec le cercle ou avec une ellipse c'est trivial, mais un "stade" , ou un ensemble de cercles (dans ce dernier cas on cherche la dépendence entre la position du rayon d'entrée, et l'angle de sortie) :<P>

<CENTER><IMG SRC="stad.gif">
</CENTER>
<P>

produit des trajectoires irrégulières et instables (petites différences au début deviennent immédiatemment énormes).<P>
(Regardez <A HREF="spheres.html">Cette page</A> pour quelques images qui montrent la folie des réflexions multiples de la lumière...)<P>



<LI> Une "balle de ping-pong"  en 1 dimension, verticale, avec gravitation. Un peu de friction (éventuellement, mais pas obligatoirement) qui rallentit la balle, et une force ponctuelle : une surface rebondissante ("raquette" horizontale) qui périodiquement bouge un peu (verticalement) , et apporte un peu d'énérgie à la balle. Si la fréquence des mouvements de la raquette est la même que la fréquence "naturelle" des rebondissements, le "pompage" d'énergie devient très efficace. <HR>

Plus d'énergie, la balle saute un peu plus haut, sa fréquence diminue, et elle se désynchronise avec la "raquette", qui peut la rallentir au lieu d'accélerer. La séquence des hauteurs max. atteintes par la balle peut alors être très chaotique.  Paramètres : quantité d'énergie transmise à la balle et la fréquence du "pompage". (Ceci est un modèle <I>très</I> simplifié et assez
générique de toute une catégorie de modèles physiques réalistes,
par exemple d'un laser...)
<P>

<LI> Un autre "ping-pong" sans forces (sauf gravitation) et sans friction, en 2 dimensions, dans un "coin", la géométrie angulaire suivante :<P>

<CENTER><IMG SRC="wedge.gif">
</CENTER>
<P>
Si l'angle de l'ouverture du coin est de 60 degrés (ou 90), le mouvement est régulier, les trajectoires sont closes. Pour un angle quelconque, le résultat peut être quasi-périodique (les trajectoires remplissent une partie de l'espace), ou complètement chaotique (les trajectoires occupent <I>tout</I> espace disponible, restreint par les lois de conservation d'énergie). Les effets visuels peuvent être très impressionnants malgré le fait que la physique sous-jacente est une physique niveau collège...<P>

<A HREF="lorenzy256_anim.gif"><IMG SRC="lorenzy256_anim.gif" WIDTH="80" HEIGHT="80" ALT="" align=right></A>
<LI> Autres modèles : un ressort non-linéaire avec une force extérieure ; un pendule double ; quelques systèmes discrets ... Tout est à découvrir. Par exemple, les trajectoires d'un système d'équations différentielles qui modélisent les phénomènes météreologiques (le modèle de Lorenz), visualisé à droite ; en le cliquant vous aurez une image un peu plus grande.<P>



</UL>
<P>


<LI> <H3>Références</H3>
<UL>
<LI> <A HREF="http://www.cmp.caltech.edu/~mcc/chaos_new/Chaos_demos.html" target=_top> http://www.cmp.caltech.edu/~mcc/chaos_new/Chaos_demos.html</A>
<LI> <A HREF="http://www-chaos.umd.edu/chaos.html" target=_top>http://www-chaos.umd.edu/chaos.html</A>
<LI> <A HREF="http://www.students.uiuc.edu/~ag-ho/chaos/chaos.html" target=_top> 
http://www.students.uiuc.edu/~ag-ho/chaos/chaos.html</A>
<LI> <A HREF="http://amath.colorado.edu/appm/faculty/jdm/faq.html" target=_top> http://amath.colorado.edu/appm/faculty/jdm/faq.html</A> (Phénomènes non-linéaires ; software).

<li> <a href="http://www.visionol.net/~jy/chaos.htm" target=_top>http://www.visionol.net/~jy/chaos.htm</a>.

</UL>
<P>


</OL>
<P>
<P>


<P>
<HR WIDTH="95%" ALIGN=CENTER>
<P>

Des questions? Décision prise? Alors <A HREF="mailto:karczma@info.unicaen.fr">mailto:karczma@info.unicaen.fr</A>
<P>

</b>







</BODY>

</HTML>
